# ApiHBaseReplicationSetupCleanAndResetArgs Data Model

Properties
name | data type | description
--- | --- | ---
sourceRef | ApiServiceRef |
cmPeerNameOnRemote | string |
sourceRestartType | RestartType |
targetRestartType | RestartType |

Example

    {
      "sourceRef" : {
        "peerName" : "...",
        "clusterName" : "...",
        "clusterDisplayName" : "...",
        "serviceName" : "...",
        "serviceDisplayName" : "...",
        "serviceType" : "..."
      },
      "cmPeerNameOnRemote" : "...",
      "sourceRestartType" : "RESTART",
      "targetRestartType" : "RESTART"
    }